%define name	zonemanip
%define version	0.1.4
%define release	2mdk

Summary:	Command line tool for PowerDNS and its MySQL backend 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
URL:		http://soren.overgaard.org/?stuff
License:	GPL
Group:		System/Servers
Requires:	PowerDNS
Requires:	PowerDNS-backend-mysql
Requires:	libdbi-drivers-dbd-mysql
BuildRequires:	libdbi-devel
BuildRequires:	libshhopt-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
zonemanip is a command line tool for manipulating records in a
gmysql backend for PowerDNS. It supports delegating ownership of
specific zones to specific shell users by maintaining a minimal
amount of metadata. Currently, most record types except AAAA and
PTR records are supported. 

%prep

%setup -q 

%build

%configure

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL TODO
%attr(4755,root,root) %{_bindir}/%{name}

%changelog
* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.4-2mdk
- rebuild

* Fri Jan 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Mon Dec 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.3-1mdk
- 0.1.3

* Mon Oct 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.1-1mdk
- initial cooker contrib
